﻿using System.Windows;
using System.Windows.Input;

namespace CommandsSample {

   public partial class wndPerson : Window {

      readonly Person _Person;
      
      Person _DataContext { get { return (Person)DataContext; } }

      public wndPerson(Person person) {
         InitializeComponent();
         this._Person = person;
         person.CopyTo(_DataContext);
      }
      private void OK_CanExecute(object sender, CanExecuteRoutedEventArgs e) {
         e.CanExecute = _DataContext.Error == null;
      }
      private void OK_Executed(object sender, ExecutedRoutedEventArgs e) {
         _DataContext.CopyTo(_Person);
         DialogResult = true;
      }
      private void Cancel_Executed(object sender, ExecutedRoutedEventArgs e) {
         DialogResult = false;
      }
   }
}
