﻿Imports System.ComponentModel

Public MustInherit Class NotifyPropertyChanged : Implements INotifyPropertyChanged

   Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

   Protected Sub OnPropertyChanged(Of T)(value As T, ByRef backingField As T, propName As String)
      If Object.Equals(value, backingField) Then Return
      backingField = value
      RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(propName))
   End Sub

End Class
