﻿Imports System.Windows
Imports System.Windows.Input

Partial Public Class wndPerson : Inherits Window

   ReadOnly _Person As Person

   Private ReadOnly Property _DataContext() As Person
      Get
         Return DirectCast(DataContext, Person)
      End Get
   End Property

   Public Sub New(person As Person)
      InitializeComponent()
      Me._Person = person
      person.CopyTo(_DataContext)
   End Sub
   Private Sub OK_CanExecute(sender As Object, e As CanExecuteRoutedEventArgs)
      e.CanExecute = _DataContext.[Error] Is Nothing
   End Sub
   Private Sub OK_Executed(sender As Object, e As ExecutedRoutedEventArgs)
      _DataContext.CopyTo(_Person)
      DialogResult = True
   End Sub
   Private Sub Cancel_Executed(sender As Object, e As ExecutedRoutedEventArgs)
      DialogResult = False
   End Sub
End Class
